

#ifndef __EV_IMAGE_SHOW_DLL_HEADER__
#define __EV_IMAGE_SHOW_DLL_HEADER__
//////////////////////////////////////////////////
#ifdef __cplusplus
extern "C" {
#endif
////////////////////

// Source Data Format
#define EV_DT_GRAY			(101)
#define EV_DT_RGB			(102)
#define EV_DT_Y422			(201)

#define EV_DT_NOPACK		(0x000000)
#define EV_DT_4BPACK		(0x010000)

#define EV_DT_ALIGN_TOP		(0x000000)
#define EV_DT_ALIGN_BOT		(0x020000)


// Window Properties
#define EV_WP_SHOWFPS		(0x000001)
#define EV_WP_NOMOVE		(0x000002)

////////////////////

////////////////////

__declspec(dllexport) const char* __stdcall evShowImageVerStr();
__declspec(dllexport) void __stdcall evDestroyAllWindows();
__declspec(dllexport) void __stdcall evDestroyWindow( const char* szWinName );
__declspec(dllexport) void __stdcall evShowWindow( const char* szWinName, unsigned long ulWinProp );
__declspec(dllexport) void __stdcall evShowImage( const char* szWinName, int nImgWidth, int nImgHeight, unsigned char* pDataBuf, int nDataSize, int nDataType );
__declspec(dllexport)  int __stdcall evWaitKey( int nDelay );
__declspec(dllexport) void __stdcall evShowFPS( const char* szWinName, int bShow );
__declspec(dllexport) void __stdcall evMoveWindow( const char* szWinName, int nPosX, int nPosY, int nWidth, int nHeight, int bNoMove );

////////////////////


////////////////////
#ifdef __cplusplus
}
#endif
//////////////////////////////////////////////////
#endif //#ifndef __EV_IMAGE_SHOW_DLL_HEADER__