// Chan.h: interface for the CChan class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHAN_H__F3A45539_1469_4E48_899F_643673509A64__INCLUDED_)
#define AFX_CHAN_H__F3A45539_1469_4E48_899F_643673509A64__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "dclib_wrap.h"

//#define DISP_DDRAW

class CChan  
{
public:
	CChan(int ch,CFormView *pView,CDclibWrap *cap);
	virtual ~CChan();

	UCHAR m_SlAddr;

	int m_Ch;
	int m_Height;
	int m_Width;
	int m_Frames;
	int m_FPS;
	CRect m_Rect;
	BYTE m_BmpImage[3000*3000*3];	// RGB
	int m_X;
	int m_Y;
	BOOL m_bRunning;
	int m_CapMode;
	int m_DispMode;

	BYTE m_DispBuf[3000*3000*2];	// YUV
	float m_PixelBytes;
	int m_OverlayEnabled;

	CFormView *m_pView;

	CDclibWrap *m_Cap;

	void CamReset(); 

	int	I2cWriteW(int length,int sa,WORD *buf);
	int I2cWrite(int SA,...);
	int I2cRead(int numbers,BYTE sa,BYTE *data);
	void MiWrite(UINT addr,UINT data);
	UINT MiRead(UINT addr);

	void StWrite(UINT addr,UINT data);
	UINT StRead(UINT addr);

	void SetCapMode(int mode);
	void SetDispMode(int mode,int overlay);
	UINT Capture();
	char *Draw(CPaintDC *dc);
	int GetFPS();
	void Start();
	void Stop();
	BOOL IsRunning();
	void SaveImage();

};


#endif // !defined(AFX_CHAN_H__F3A45539_1469_4E48_899F_643673509A64__INCLUDED_)
