int CSensor3h7p73m3::BinaryUpload()
{
	// initial settings
	//
	int ret = 0;

	sa = 0x5a;

	ret += I2cWrite(0xfcfc,0x3310);
	ret += I2cWrite(0x0050,0x3010);
	ret += I2cWrite(0x0054,0x00a4);
	ret += I2cWrite(0x0f14,0x0003);
	lgprintf("ret = %d",ret);
	if (ret) return 0;
	Sleep(500);

	// f/w upload setup
	ret += I2cWrite(0xfcfc,0x3310);
	ret += I2cWrite(0x005c,0x0010);
	lgprintf("0x0f14 read = %4x is eq 0xf404 ?",I2cRead(0x0f14));

	ret += I2cWrite(0xfcfc,0x3310);
	ret += I2cWrite(0x0050,0x0000);
	ret += I2cWrite(0x0054,0x0010);

	ret += I2cWrite(0x0f14,0xabcd);
	ret += I2cWrite(0xfcfc,0x3310);
	ret += I2cWrite(0x005c,0x0010);
	lgprintf("0x0f14 read = %4x is eq 0xabcd ?",I2cRead(0x0f14));

	ret += I2cWrite(0xfcfc,0x3310);
	ret += I2cWrite(0x0050,0x0000);
	ret += I2cWrite(0x0054,0x0010);

	ret += I2cWrite(0x0f14,0x5432);
	ret += I2cWrite(0xfcfc,0x3310);
	ret += I2cWrite(0x005c,0x0010);
	lgprintf("0x0f14 read = %4x is eq 0x5432?",I2cRead(0x0f14));


	ret += I2cWrite(0xfcfc,0x3310);
	ret += I2cWrite(0x0050,0x0000);
	ret += I2cWrite(0x0054,0x0010);

	ret += I2cWrite(0x0f14,0xf404);


	ret += I2cWrite(0x0050,0x0000);
	ret += I2cWrite(0x0054,0x0000);
	ret += I2cWrite(0x0058,0x0000);
	ret += I2cWrite(0x005c,0x0000);

	lgprintf("ret = %d",ret);
	if (ret) return 0;

	// f/w binary transfer
	if (1){
		WORD buf[255];
		
		int i;
		int len;
		WORD data;
		WORD addr;
		ret = 0;

		FILE *fp;

		// size calc

		//fp = fopen("20111206A_semcoTest175_SlimISP.bin","rb");
		//fp = fopen("20111205_semcoTest_SlimISP.bin","rb");
		//fp = fopen("SlimISP_CIS-TP.bin","rb");
		//fp = fopen("SlimISP2.bin","rb");
		fp = fopen("SlimISP.bin","rb");
		//fp = fopen("SlimISP-20111115.bin","rb");
		//fp = fopen("20111114_SlimISP.bin","rb");

		if (fp) {
			lgprintf("file open ok ");
		}

		int cnt=0;
		DWORD size = 0;
		while (fp){
			len = fread(&(buf[1]),2,20,fp);		// 16bit
			size += len;
			if (len<20) break;
		}
		fclose(fp);


		// upload
		//fp = fopen("20111206A_semcoTest175_SlimISP.bin","rb");
		//fp = fopen("20111205_semcoTest_SlimISP.bin","rb");
		//fp = fopen("SlimISP_CIS-TP.bin","rb");
		//fp = fopen("SlimISP2.bin","rb");
		fp = fopen("SlimISP.bin","rb");
		//fp = fopen("SlimISP-20111115.bin","rb");
		//fp = fopen("20111114_SlimISP.bin","rb");



		if (fp) {
			lgprintf("file open ok ");
		}

		buf[0] = 0x0f14;


		ret = 0;

		int j=0;
		while (fp){
			len = fread(&(buf[1]),2,20,fp);		// 16bit
			if (len==0) {
				lgprintf("upload ended");
				break;
			}


			if (j==0) {
				lgprintf("read file data left=%d,ret = %d",size,ret);
				j=100;
			}
			else {
				j--;
			}

			size -= len;
			ret += I2cWriteW(len+1,sa,buf);
			if (len<20) {
				lgprintf("upload ended");
				break;
			}
		};
		fclose(fp);
	}
	lgprintf("ret = %d",ret);

	//Sleep(500);

	I2cWrite(0x0050,0x0000);
	I2cWrite(0x0054,0x0000);
	I2cWrite(0x0058,0x0000);
	I2cWrite(0x005c,0x0000);

	for (int i=0;i<128;i++) {
		lgprintf("0x0f14 read = %4x",I2cRead(0x0f14));
	}
	Sleep(1000);

	I2cWrite(0xfcfc,0x3310);
	I2cWrite(0x0050,0x3000);
	I2cWrite(0x0054,0x0004);
	I2cWrite(0x0f14,0xffff);
	Sleep(200);
	return 0;
}

int CSensor::I2cWrite(WORD addr, WORD data)
{
	int ret;
	UINT ia;
	ret = 0;
	// write address 
	ret += m_Chan[0]->I2cWrite(sa,(addr>>8) & 0xff, (addr& 0xff), (data>>8) & 0xff, (data& 0xff),0x100);
	if (m_fp) fprintf(m_fp,"i2c:s %02x %02x %02x %02x %02x e\n",sa,(BYTE)((addr>>8) & 0xff), (BYTE)(addr& 0xff), (BYTE)((data>>8) & 0xff), (BYTE)(data& 0xff));
	return ret;
}


WORD CSensor::I2cRead(WORD addr)
{
	int ret;
	UINT ia;
	BYTE buf[8];
	WORD data;
	ret = 0;
	// write address 
	ret += m_Chan[0]->I2cWrite(sa,(addr>>8) & 0xff, (addr& 0xff), 0x100);
	ret += m_Chan[0]->I2cRead(2,sa+1,buf);
	data = (buf[0]<<8 ) + buf[1];
	if (m_fp) fprintf(m_fp,"i2c:s %02x %02x %02x e\n",sa,(BYTE)((addr>>8) & 0xff), (BYTE)(addr& 0xff));
	if (m_fp) fprintf(m_fp,"i2c:s %02x %02x %02x e\n",sa+1,(BYTE)(buf[0]),(BYTE)(buf[1]));
	return data;
}


int	CViewView::I2cWriteW(int length,int sa,WORD *buf)
{
	UINT ack =0;
	int i;
	WORD data;

	// 16bit unit
	m_Cap->I2cStart(0,0);
	ack += m_Cap->I2cWrite(0,0,sa);
	i=0;
	if (m_fp) fprintf(m_fp,"i2c:s %02x ",sa);

	while(length) {
		data = buf[i];
		ack += m_Cap->I2cWrite(0,0,data>>8);
		ack += m_Cap->I2cWrite(0,0,data&0xff);
		if (m_fp) fprintf(m_fp,"%02x %02x ",(BYTE)(data>>8),(BYTE)(data & 0xff));
		length--;
		i++;
	}
	m_Cap->I2cStop(0,0);
	if (m_fp) fprintf(m_fp," e\n");
	return ack;
}





int CViewView::SensorSetup()
{
	// TODO: Add your control notification handler code here
	m_Chan[0]->MiWrite(16,1);	// enable external i2c

	
	m_Cap->GpioWriteOE(0xffffff);
	m_Cap->GpioWriteOut(0);
	Sleep(100);

	m_Chan[0]->MiWrite(1,0xff);	// OE enable
	m_Chan[0]->MiWrite(0,0xff);	// 

	m_Chan[0]->MiWrite(1,0xff);	// OE enable
	m_Chan[0]->MiWrite(0,0x0);	// power dn bit7 high before power on
	Sleep(1);

	m_Cap->WriteReg(0x8b0,0);	// reset low
	//power on
	Sleep(1);
	{

	DWORD data = 0;
	m_Cap->GpioWriteOut(data);

	Sleep(2);
	data |= 1<<8;
	m_Cap->GpioWriteOut(data);

	Sleep(2);
	data |= 1<<9;
	m_Cap->GpioWriteOut(data);

	Sleep(2);
	data |= 1<<10;
	m_Cap->GpioWriteOut(data);

	Sleep(2);
	data |= 1<<11;
	m_Cap->GpioWriteOut(data);

	Sleep(2);
	data |= 1<<12;
	m_Cap->GpioWriteOut(data);

	Sleep(2);
	data |= 1<<13;
	m_Cap->GpioWriteOut(data);
	}

	Sleep(2);
	m_Chan[0]->MiWrite(0,0xff);	// power dn bit7 high

	lgprintf("Cam reset");
	m_Chan[0]->CamReset();
	Sleep(100);

	if (1) { // YUV

		m_Chan[0]->MiWrite(0x21,1);		// mipi reset bit 0
		m_Chan[0]->MiWrite(0x23,0x1e);	// mipi vc = 0, dt = 0x2d
		// mipi receiver init
		m_Chan[0]->MiWrite(0x20,0x03);	// lane numbers=3, and en 8b9b=0
		m_Chan[0]->MiWrite(0x21,0);
		m_Chan[0]->MiWrite(0x42,1);	// 

		// set MIPI VC & data type
		m_Cap->WriteReg(0x4000+4,0x1e); // YUV bit
	}

	if (0) {// raw10bit
		m_Chan[0]->MiWrite(0x21,1);		// mipi reset bit 0
		m_Chan[0]->MiWrite(0x23,0x2b);	// mipi vc = 0, dt = 0x2d
		// mipi receiver init
		m_Chan[0]->MiWrite(0x20,0x03);	// lane numbers=3, and en 8b9b=0
		m_Chan[0]->MiWrite(0x21,0);
		m_Chan[0]->MiWrite(0x42,1);	// 

		// set MIPI VC & data type
		m_Cap->WriteReg(0x4000+4,0x2b); // raw10 bit
	}


	if (0) {// RAW12 MIPI data type 0x2c
		m_Chan[0]->MiWrite(0x21,1);		// mipi reset bit 0
		m_Chan[0]->MiWrite(0x23,0x2c);	// mipi vc = 0, dt = 0x2c
		// mipi receiver init
		m_Chan[0]->MiWrite(0x20,0x03);	// lane numbers=3, and en 8b9b=0
		m_Chan[0]->MiWrite(0x21,0);
		m_Chan[0]->MiWrite(0x42,1);	// 

		// set MIPI VC & data type
		m_Cap->WriteReg(0x4000+4,0x2c); // raw12 bit
	}

	SensorBinaryUpload();
	// sensor setup
	Sleep(1000);
	lgprintf("start of sensor setup mode=%d",m_edMode);
	SensorInit(m_edMode);
	lgprintf("End of sensor setup");
	Sleep(20);

	UINT data,data1;
	data = m_Chan[0]->MiRead(254);
	data <<= 8;
	data |= m_Chan[0]->MiRead(255);
	data1 = m_Chan[0]->MiRead(16);
	lgprintf("id = %x, addr 0x10 = %x",data,data1);
	return 0;
}


void CViewView::SensorInit(int mode)
{
	BYTE data[20];
	int ack;
	int ret = 0;

	// sensor slave address
	sa = 0x5a;
/*
s00500009
s00545000
s0F14090A	// sensor streaming CTRL
s0F140000	// streaming off
s00545080
s0F140001

p100


//YUV
//$MIPI[Width:960,Height:720,Format:YUV,Lane:4,DataRate:750,ErrorCheck:0,PolarityData:0,PolarityClock:0,Buffer:2,useEmbData:1,embDataSize:4096]

s00500009
s00545000
s0F140900	// MiPi Setting
s0F140405	// Lane:4 , DataRate:5(750Mbps)
s0F140902	// Change Out Interface         
s0F140009	// Image Out Mode MIPI YUV Video EMB
s0F14091A	// ISP_PCLK_SET
s0F140004	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
s0F140B10
s0F148404
s00545080
s0F140004
*/
	/*
s00500009
s00545000
s0F14090A	// sensor streaming CTRL
s0F140000	// streaming off
s00545080
s0F140001

p100


//YUV
//$MIPI[Width:960,Height:720,Format:YUV,Lane:4,DataRate:756,ErrorCheck:0,PolarityData:0,PolarityClock:0,Buffer:2,useEmbData:1,embDataSize:4096]

s00500009
s00545000
s0F140900	// MiPi Setting
s0F140405	// Lane:4 , DataRate:5(756Mhz)
s0F140902	// Change Out Interface         
s0F140010	// Image Out Mode MIPI YUV Video EMB
s0F140B10
s0F148405
s00545080
s0F140003
*/

	if (1) {
		// sensor 960x
		//Width:960,Height:720,Format:YUV,Lane:4,DataRate:756,ErrorCheck:0,PolarityData:0,PolarityClock:0,Buffer:2,useEmbData:1,embDataSize:4096]
		ret += I2cWrite(0x0050 ,0x0009);
		ret += I2cWrite(0x0054 ,0x5000);
		ret += I2cWrite(0x0F14 ,0x090A);	// sensor streaming CTRL
		ret += I2cWrite(0x0F14 ,0x0000);	// streaming off
		ret += I2cWrite(0x0054 ,0x5080);
		ret += I2cWrite(0x0F14 ,0x0001);
		Sleep(100);

		ret += I2cWrite(0x0050 ,0x0009);
		ret += I2cWrite(0x0054 ,0x5000);
		ret += I2cWrite(0x0F14 ,0x0900);	// MiPi Setting
		ret += I2cWrite(0x0F14 ,0x0405);	// Lane:4 ,0x DataRate:5(0x756Mhz)
		ret += I2cWrite(0x0F14 ,0x0902);	// Change Out Interface         
		ret += I2cWrite(0x0F14 ,0x0010);	// Image Out Mode MIPI YUV Video EMB
		ret += I2cWrite(0x0F14 ,0x0B10);
		ret += I2cWrite(0x0F14 ,0x8405);
		ret += I2cWrite(0x0054 ,0x5080);
		ret += I2cWrite(0x0F14 ,0x0003);
		lgprintf("Sensor Init ack = %d",ret);
	};

	if (0) {

		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x090A);	// sensor streaming CTRL
		ret += I2cWrite(0x0F14,0x0000);	// streaming off
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0001);
								   
		Sleep(100);

		//8M 3264_2448 YUV
		//$MIPI[Width:3264,0xHeight:2448,0xFormat:YUV,0xLane:4,0xErrorCheck:0,0xPolarityData:0,0xPolarityClock:0,0xBuffer:2,0xdatarate:756,0xuseEmbData:1,0xembDataSize:4092]

		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x0900);	// MiPi Setting
		ret += I2cWrite(0x0F14,0x0405);	// Lane:4 ,0x DataRate:5(756Mhz)
		ret += I2cWrite(0x0F14,0x0902);	// Change Out interface
		ret += I2cWrite(0x0F14,0x0008);	// Image Out Mode :8(YUV _JPEGpath)
		ret += I2cWrite(0x0F14,0x0B10);
		ret += I2cWrite(0x0F14,0x80D5); // (D:8M JPEG  5:960 720 YUV)
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0003);
			lgprintf("Sensor Init ack = %d",ret);
	};

	if (0) {
		Sleep(500);
		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x090A);	// sensor streaming CTRL
		ret += I2cWrite(0x0F14,0x0000);	// streaming off
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0001);
								   
		Sleep(100);

		//Interleave 8M JPEG + 960x720 YUV
		//$MIPI[Width:3280,Height:2464,Format:RAW12,Lane:4,ErrorCheck:0,PolarityData:0,PolarityClock:0,Buffer:2,datarate:756,useEmbData:1,embDataSize:4096]

		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x0900);	// MiPi Setting
		ret += I2cWrite(0x0F14,0x0405);	// Lane:4 ,0x DataRate:5(756Mhz)
		ret += I2cWrite(0x0F14,0x0902);	// Change Out interface
		ret += I2cWrite(0x0F14,0x0011);	// Image Out Mode :11 (cin_Bayer)
		ret += I2cWrite(0x0F14,0x0B10);
		ret += I2cWrite(0x0F14,0x0000); // (D:8M JPEG  5:960 720 YUV)
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0003);
	}


	if (0) {
		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x090A);	// ret += I2cWrite(0xenret += I2cWrite(0xor ret += I2cWrite(0xtreaming CTRL
		ret += I2cWrite(0x0F14,0x0000);	// ret += I2cWrite(0xtreaming off
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0001);
								   
		Sleep(100);
								   
		//Interleave 8M JPEG + 960x);720 YUV
		//$MIPI[Width:3280,0xHeight:2464,0xFormat:RAW12,0xLane:4,0xErrorCheck:0,0xPolarityData:0,0xPolarityClock:0,0xBuffer:2,0xdatarate:750,0xuret += I2cWrite(0xeEmbData:1,0xembDataSize:4096],0x

		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x0900);	// MiPi Setting
		ret += I2cWrite(0x0F14,0x0405);	// Lane:4 ,0x DataRate:5(750Mbpret += I2cWrite(0x)
		ret += I2cWrite(0x0F14,0x0902);	// Change Out interface
		ret += I2cWrite(0x0F14,0x0011);	// Image Out Mode :11 (cin_Bayer)
		ret += I2cWrite(0x0F14,0x091A);	// ISP_PCLK_SET
		ret += I2cWrite(0x0F14,0x0003);	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
		ret += I2cWrite(0x0F14,0x0B10);
		ret += I2cWrite(0x0F14,0x0000); // 0 
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0004);
	}


/*
s00500009
s00545000
s0F14090A	// sensor streaming CTRL
s0F140000	// streaming off
s00545080
s0F140001

p100

//raw 3264x2450
//$MIPI[Width:3264,Height:2450,Format:RAW12,Lane:4,ErrorCheck:0,PolarityData:0,PolarityClock:0,Buffer:2,datarate:450,useEmbData:0]

s00500009
s00545000
s0F140900	// MiPi Setting
s0F140401	// Lane:4 , DataRate:1(450Mbps)
s0F140902	// Change Out interface
s0F140083	// Image Out Mode :83 (ipc0_Bayer)
s0F14091A	// ISP_PCLK_SET
s0F140002	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
s0F140B10
s0F1480F4 // (F:8M JPEG  4:960 720 YUV)
s00545080
s0F140004
*/

	if (0) {
		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x090A);	// ret += I2cWrite(0xenret += I2cWrite(0xor ret += I2cWrite(0xtreaming CTRL
		ret += I2cWrite(0x0F14,0x0000);	// ret += I2cWrite(0xtreaming off
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0001);
								   
		Sleep(100);
								   
		//Interleave 8M JPEG + 960x);720 YUV
		//$MIPI[Width:3280,0xHeight:2464,0xFormat:RAW12,0xLane:4,0xErrorCheck:0,0xPolarityData:0,0xPolarityClock:0,0xBuffer:2,0xdatarate:750,0xuret += I2cWrite(0xeEmbData:1,0xembDataSize:4096],0x

		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x0900);	// MiPi Setting
		ret += I2cWrite(0x0F14,0x0401);	// Lane:4 ,0x DataRate:1(450bpret += I2cWrite(0x)
		ret += I2cWrite(0x0F14,0x0902);	// Change Out interface
		ret += I2cWrite(0x0F14,0x0083);	// Image Out Mode :83 (ipc0_Bayer)
		ret += I2cWrite(0x0F14,0x091A);	// ISP_PCLK_SET
		ret += I2cWrite(0x0F14,0x0002);	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
		ret += I2cWrite(0x0F14,0x0B10);
		ret += I2cWrite(0x0F14,0x80f4); // 0 
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0004);
	}

/*
s00500009
s00545000
s0F14090A	// sensor streaming CTRL
s0F140000	// streaming off
s00545080
s0F140001

p100

//raw 3280x2464
//$MIPI[Width:3280,Height:2464,Format:RAW12,Lane:4,ErrorCheck:0,PolarityData:0,PolarityClock:0,Buffer:2,datarate:450,useEmbData:0]

s00500009
s00545000
s0F140900	// MiPi Setting
s0F140401	// Lane:4 , DataRate:1(450Mbps)
s0F140902	// Change Out interface
s0F140081	// Image Out Mode :0x81 (cin_Bayer)
s0F14091A	// ISP_PCLK_SET
s0F140002	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
s0F140B10
s0F140000 // 0 
s00545080
s0F140004
*/


		if (0) {
		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x090A);	// ret += I2cWrite(0xenret += I2cWrite(0xor ret += I2cWrite(0xtreaming CTRL
		ret += I2cWrite(0x0F14,0x0000);	// ret += I2cWrite(0xtreaming off
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0001);
								   
		Sleep(100);
								   
		//Interleave 8M JPEG + 960x);720 YUV
		//$MIPI[Width:3280,0xHeight:2464,0xFormat:RAW12,0xLane:4,0xErrorCheck:0,0xPolarityData:0,0xPolarityClock:0,0xBuffer:2,0xdatarate:750,0xuret += I2cWrite(0xeEmbData:1,0xembDataSize:4096],0x

		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x0900);	// MiPi Setting
		ret += I2cWrite(0x0F14,0x0401);	// Lane:4 ,0x DataRate:1(450bpret += I2cWrite(0x)
		ret += I2cWrite(0x0F14,0x0902);	// Change Out interface
		ret += I2cWrite(0x0F14,0x0081);	// Image Out Mode :81 (cin_Bayer)
		ret += I2cWrite(0x0F14,0x091A);	// ISP_PCLK_SET
		ret += I2cWrite(0x0F14,0x0002);	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
		ret += I2cWrite(0x0F14,0x0B10);
		ret += I2cWrite(0x0F14,0x0000); // 0 
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0004);
	}

/*
bayer10bit_cin_3280_2464.nset
s00500009
s00545000
s0F14090A	// sensor streaming CTRL
s0F140000	// streaming off
s00545080
s0F140001

p100

//raw 3280x2464
//$MIPI[Width:3280,Height:2464,Format:RAW10,Lane:4,ErrorCheck:0,PolarityData:0,PolarityClock:0,Buffer:2,datarate:450,useEmbData:0]

s00500009
s00545000
s0F140900	// MiPi Setting
s0F140401	// Lane:4 , DataRate:1(450Mbps)
s0F140902	// Change Out interface
s0F140080	// Image Out Mode :0x80 (cin_Bayer)
s0F14091A	// ISP_PCLK_SET
s0F140002	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
s0F140B10
s0F140000 // 0 
s00545080
s0F140004
*/
		if (0) {
		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x090A);	// ret += I2cWrite(0xenret += I2cWrite(0xor ret += I2cWrite(0xtreaming CTRL
		ret += I2cWrite(0x0F14,0x0000);	// ret += I2cWrite(0xtreaming off
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0001);
								   
		Sleep(100);
								   
		//Interleave 8M JPEG + 960x);720 YUV
		//$MIPI[Width:3280,0xHeight:2464,0xFormat:RAW12,0xLane:4,0xErrorCheck:0,0xPolarityData:0,0xPolarityClock:0,0xBuffer:2,0xdatarate:750,0xuret += I2cWrite(0xeEmbData:1,0xembDataSize:4096],0x

		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x0900);	// MiPi Setting
		ret += I2cWrite(0x0F14,0x0401);	// Lane:4 ,0x DataRate:1(450bpret += I2cWrite(0x)
		ret += I2cWrite(0x0F14,0x0902);	// Change Out interface
		ret += I2cWrite(0x0F14,0x0080);	// Image Out Mode :80 (cin_Bayer)
		ret += I2cWrite(0x0F14,0x091A);	// ISP_PCLK_SET
		ret += I2cWrite(0x0F14,0x0002);	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
		ret += I2cWrite(0x0F14,0x0B10);
		ret += I2cWrite(0x0F14,0x0000); // 0 
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0004);
	}


/*
// raw10bit ipc0_3264_2450

s00500009
s00545000
s0F14090A	// sensor streaming CTRL
s0F140000	// streaming off
s00545080
s0F140001

p100

//raw 3264x2450
//$MIPI[Width:3264,Height:2450,Format:RAW10,Lane:4,ErrorCheck:0,PolarityData:0,PolarityClock:0,Buffer:2,datarate:450,useEmbData:0]

s00500009
s00545000
s0F140900	// MiPi Setting
s0F140401	// Lane:4 , DataRate:1(450Mbps)
s0F140902	// Change Out interface
s0F140082	// Image Out Mode :82 (ipc0_Bayer)
s0F14091A	// ISP_PCLK_SET
s0F140002	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
s0F140B10
s0F1480F4 // (F:8M JPEG  4:960 720 YUV)
s00545080
s0F140004
*/

		if (0) {
		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x090A);	// ret += I2cWrite(0xenret += I2cWrite(0xor ret += I2cWrite(0xtreaming CTRL
		ret += I2cWrite(0x0F14,0x0000);	// ret += I2cWrite(0xtreaming off
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0001);
								   
		Sleep(100);
								   
		//Interleave 8M JPEG + 960x);720 YUV
		//$MIPI[Width:3280,0xHeight:2464,0xFormat:RAW12,0xLane:4,0xErrorCheck:0,0xPolarityData:0,0xPolarityClock:0,0xBuffer:2,0xdatarate:750,0xuret += I2cWrite(0xeEmbData:1,0xembDataSize:4096],0x

		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x0900);	// MiPi Setting
		ret += I2cWrite(0x0F14,0x0401);	// Lane:4 ,0x DataRate:1(450bpret += I2cWrite(0x)
		ret += I2cWrite(0x0F14,0x0902);	// Change Out interface
		ret += I2cWrite(0x0F14,0x0082);	// Image Out Mode :82 (ipc0_Bayer)
		ret += I2cWrite(0x0F14,0x091A);	// ISP_PCLK_SET
		ret += I2cWrite(0x0F14,0x0002);	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
		ret += I2cWrite(0x0F14,0x0B10);
		ret += I2cWrite(0x0F14,0x0000); // 0 
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0004);
	}

/*
//mipi bandwidth Ѷ 22fps ̻ Ұ. PCLK Ȯؾ. 

s00500009
s00545000
s0F14090A	// sensor streaming CTRL
s0F140000	// streaming off
s00545080
s0F140001

p100

//8M 3264_2448 YUV
//$MIPI[Width:3264,Height:2448,Format:YUV,Lane:4,ErrorCheck:0,PolarityData:0,PolarityClock:0,Buffer:2,datarate:750,useEmbData:1,embDataSize:4096]

s00500009
s00545000
s0F140900	// MiPi Setting
s0F140405	// Lane:4 , DataRate:5(750Mbps)
s0F140902	// Change Out interface
s0F140008	// Image Out Mode :8(JPEGsize->YUV path)
s0F14091A	// ISP_PCLK_SET
s0F140003	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
s0F140B10
s0F1480F4 // (F:3264x2448 JPEG  4:960 720 YUV)
s00545080
s0F140004
*/

	if (0) {
		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x090A);	// ret += I2cWrite(0xenret += I2cWrite(0xor ret += I2cWrite(0xtreaming CTRL
		ret += I2cWrite(0x0F14,0x0000);	// ret += I2cWrite(0xtreaming off
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0001);
								   
		Sleep(100);
								   
		//Interleave 8M JPEG + 960x);720 YUV
		//$MIPI[Width:3280,0xHeight:2464,0xFormat:RAW12,0xLane:4,0xErrorCheck:0,0xPolarityData:0,0xPolarityClock:0,0xBuffer:2,0xdatarate:750,0xuret += I2cWrite(0xeEmbData:1,0xembDataSize:4096],0x

		ret += I2cWrite(0x0050,0x0009);
		ret += I2cWrite(0x0054,0x5000);
		ret += I2cWrite(0x0F14,0x0900);	// MiPi Setting
		ret += I2cWrite(0x0F14,0x0205);	// Lane:4 ,0x DataRate:1(450bpret += I2cWrite(0x)
		ret += I2cWrite(0x0F14,0x0902);	// Change Out interface
		ret += I2cWrite(0x0F14,0x0009);	// Image Out Mode :82 (ipc0_Bayer)
		ret += I2cWrite(0x0F14,0x091A);	// ISP_PCLK_SET
		ret += I2cWrite(0x0F14,0x0000);	// (MHz 0:27  1:129.6 2:140.4 3:194.4 4:264)
		ret += I2cWrite(0x0F14,0x0B10);
		ret += I2cWrite(0x0F14,0x80F4); // 0 
		ret += I2cWrite(0x0054,0x5080);
		ret += I2cWrite(0x0F14,0x0004);
	}




}						   
						   
